Skip to content

Push a pre-computed chart snapshot for an experiment. Replaces any existing snapshot.

POST
https://mapi.storyblok.com/v1/spaces/:space_id/experiments/:experiment_id/results
  • :space_id required number

    Numeric ID of a space.

  • :experiment_id required number

    Numeric ID of the experiment.

  • charts required object[]

    Array of pre-computed chart objects (max 20 items). Each item must be a bar, line, or text chart.

    Show child properties
    • kind required string

      Chart type discriminator. Allowed values: bar, line, text.

    • title string | null

      Optional chart title.

    • xLabel string | null

      Optional x-axis label (bar and line charts).

    • yLabel string | null

      Optional y-axis label (bar and line charts).

    • labels string[]

      Category or time-axis labels (required for bar and line charts).

    • series object[]

      Data series (required for bar and line charts).

    • body string

      Text content (required for text charts).

curl "https://mapi.storyblok.com/v1/spaces/288868932106293/experiments/176070002766742/results" \
-X POST \
-H "Authorization: YOUR_OAUTH_TOKEN" \
-H "Content-Type: application/json" \
-d "{\"charts\":[{\"body\":\"Variant A shows 95% confidence of improvement.\",\"kind\":\"bar\",\"labels\":[\"Control\",\"Variant A\"],\"series\":[{\"data\":[0.12,0.15],\"label\":\"Conversion rate\"}],\"title\":\"Conversion Rate\",\"xLabel\":\"Variant\",\"yLabel\":\"Rate\"}]}"

Was this page helpful?

What went wrong?

This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window) . Terms of Service (opens in a new window) apply.